(*
   SNU 4541.664A HW2
*)

open Syn

structure Eval = struct

(******************************************************** 
    expression : (Memory x Expression) -> Value
*********************************************************)
fun valueof (mem, Var(id)) = Map.find id mem
  | valueof (mem, _) = 0

(******************************************************** 
    command :(Memory x Program) -> Memory
*********************************************************)
fun eval (mem, Assign(id,e)) = Map.add id (valueof (mem,e)) mem
  | eval (mem, Skip) = mem
  | eval (mem, _) = mem

end
