(*
   SNU 4541.664A HW2
*)

open Eval

val filename = 
	if Array.length Sys.argv = 2 then
	    Array.get Sys.argv 1
	else
	    "sample.c--"

(* parsing *)
val pgm = Parser.program Lexer.start (Lexing.from_channel (open_in filename))
	    handle ex => Error.handle_exn ex; exit 1

(* execution *)
val _ = eval (Map.empty, pgm) handle ex => Error.handle_exn ex; exit 1
