/*
   SNU 4541.664A HW2
*/

%{
 
%}
  
%token IF THEN ELSE WHILE LOCAL IN END DO READINT PRINT SKIP
%token PLUS MINUS TIMES LP RP COLONEQ EQUAL LT SEMICOLON EOF
%token <int> NUM
%token <string> ID

%left SEMICOLON         
%right LOCAL 
%right COLONEQ         
%nonassoc IF THEN ELSE
%left EQUAL LT
%left PLUS MINUS TIMES
%nonassoc NUM ID READINT LP

%start program
%type <Syn.cmd> program
%type <Syn.exp> expr

%%
program: cmd EOF   {$1}
     ;

cmd : ID COLONEQ expr			{Syn.Assign($1,$3)}
    | cmd SEMICOLON cmd			{Syn.Seq ($1,$3)}
    | IF expr THEN cmd ELSE cmd	END	{Syn.If($2,$4,$6)}
    | WHILE expr DO cmd END		{Syn.While($2,$4)}
    | LOCAL ID COLONEQ expr IN cmd END	{Syn.Local($2,$4,$6)}
    | PRINT expr			{Syn.Print($2)}
    | SKIP				{Syn.Skip}

expr: aexpr		{$1}
    | expr PLUS expr	{Syn.Bop(Syn.Add,$1,$3)}
    | expr MINUS expr	{Syn.Bop(Syn.Sub,$1,$3)}
    | expr TIMES expr	{Syn.Bop(Syn.Mul,$1,$3)}
    | expr EQUAL expr	{Syn.Bop(Syn.Eq,$1,$3)}
    | expr LT expr	{Syn.Bop(Syn.Lt,$1,$3)}
    ;

aexpr: LP expr RP   {$2}
    | NUM	    {Syn.Const($1)}
    | ID	    {Syn.Var($1)}
    | READINT	    {Syn.ReadInt}
    ;        

%%
