(*
   SNU 4541.664A HW2
*)

structure Syn = 
struct

type 
    pgm = cmd
and
    cmd = Assign of id * exp 
        | Seq of cmd * cmd     
        | If of exp * cmd * cmd
        | While of exp * cmd
        | Local of id * exp * cmd
        | Print of exp
        | Skip 
and
    exp = ReadInt
        | Const of int
        | Var of id
        | Bop of bop * exp * exp

  and id = string

  and bop = Add | Sub | Mul | Eq | Lt 

end
